;	IO DEFINITIONS FOR ST72521
;	Copyright (c) 2001 by COSMIC Software
;

;	PORTS section
;
	xref.b	_PADR		; Port A Data Register
	xref.b	_PADDR		; Port A Data Direction
	xref.b	_PAOR		; Port A Option register 
	xref.b	_PBDR		; Port B Data Register
	xref.b	_PBDDR		; Port B Data Direction
	xref.b	_PBOR		; Port B Option Register
	xref.b	_PCDR		; Port C Data Register
	xref.b	_PCDDR		; Port C Data Direction
	xref.b	_PCOR		; Port C Option Register
	xref.b	_PDDR		; Port D Data Register
	xref.b	_PDDDR		; Port D Data Direction
	xref.b	_PDOR		; Port D Option Register
	xref.b	_PEDR		; Port E Data Register
	xref.b	_PEDDR		; Port E Data Direction
	xref.b	_PEOR		; Port E Option Register
	xref.b	_PFDR		; Port F Data Register
	xref.b	_PFDDR		; Port F Data Direction
	xref.b	_PFOR		; Port F Option Register
	xref.b	_PGDR		; Port G Data Register
	xref.b	_PGDDR		; Port G Data Direction
	xref.b	_PGOR		; Port G Option Register
	xref.b	_PHDR		; Port H Data Register
	xref.b	_PHDDR		; Port H Data Direction
	xref.b	_PHOR		; Port H Option Register

;	I2C section
;
	xref.b	_I2CCR		; I2C Control Register
	xref.b	_I2CSR1		; I2C Status Register 1
	xref.b	_I2CSR2		; I2C Status Register 2
	xref.b	_I2CCCR		; I2C Clock Control Register
	xref.b	_I2COAR1	; I2C Own Address Register 1
	xref.b	_I2COAR2	; I2C Own Address Register 2
	xref.b	_I2CDR		; I2C Data Register

;	SPI section
;
	xref.b	_SPIDR		; SPI Data Register
	xref.b	_SPICR		; SPI Control Register
	xref.b	_SPISR		; SPI Status Register

;	ITC section
;
	xref.b	_ISPR0		; Interrupt Software Priority Reg 0 
	xref.b	_ISPR1		; Interrupt Software Priority Reg 1 
	xref.b	_ISPR2		; Interrupt Software Priority Reg 2 
	xref.b	_ISPR3		; Interrupt Software Priority Reg 3 
	xref.b	_EICR		; External Interrupt Control Reg    

;	System section
;
	xref.b	_FSCR		; Flash Control/Status Register 
	xref.b	_WDGCR		; Watchdog Control Register 
	xref.b	_SICSR		; System Integrity Control/Status Register 

;	MCC section
;
	xref.b 	_MCCSR		; Main Clock Controller Register
	xref.b	_MCCBCR		; Beep Control Register

;	TIMER A section
;
	xref.b	_TACR2		; Control Register 2
	xref.b	_TACR1		; Control Register 1
	xref.b	_TASR		; Status Register
	xref.b	_TAIC1R		; Input Capture 1 Register
	xref.b	_TAIC1HR	; Input Capture 1 High
	xref.b	_TAIC1LR	; Input Capture 1 Low
	xref.b	_TAOC1R		; Output Compare 1 Register
	xref.b	_TAOC1HR	; Output Compare 1 High
	xref.b	_TAOC1LR	; Output Compare 1 Low
	xref.b	_TACR		; Counter Register
	xref.b	_TACHR		; Counter High
	xref.b	_TACLR		; Counter Low
	xref.b	_TAACR		; Alternate Counter Register
	xref.b	_TAACHR		; Alternate Counter High
	xref.b	_TAACLR		; Alternate Counter Low
	xref.b	_TAIC2R		; Input Capture 2 Register
	xref.b	_TAIC2HR	; Input Capture 2 High
	xref.b	_TAIC2LR	; Input Capture 2 Low
	xref.b	_TAOC2R		; Output Compare 2 Register
	xref.b	_TAOC2HR	; Output Compare 2 High
	xref.b	_TAOC2LR	; Output Compare 2 Low

;	TIMER B section
;
	xref.b	_TBCR2		; Control Register 2
	xref.b	_TBCR1		; Control Register 1
	xref.b	_TBSR		; Status Register
	xref.b	_TBIC1R		; Input Capture 1 Register
	xref.b	_TBIC1HR	; Input Capture 1 High
	xref.b	_TBIC1LR	; Input Capture 1 Low
	xref.b	_TBOC1R		; Output Compare 1 Register
	xref.b	_TBOC1HR	; Output Compare 1 High
	xref.b	_TBOC1LR	; Output Compare 1 Low
	xref.b	_TBCR		; Counter Register
	xref.b	_TBCHR		; Counter High
	xref.b	_TBCLR		; Counter Low
	xref.b	_TBACR		; Alternate Counter Register
	xref.b	_TBACHR		; Alternate Counter High
	xref.b	_TBACLR		; Alternate Counter Low
	xref.b	_TBIC2R		; Input Capture 2 Register
	xref.b	_TBIC2HR	; Input Capture 2 High
	xref.b	_TBIC2LR	; Input Capture 2 Low
	xref.b	_TBOC2R		; Output Compare 2 Register
	xref.b	_TBOC2HR	; Output Compare 2 High
	xref.b	_TBOC2LR	; Output Compare 2 Low

;	SCI section
;
	xref.b	_SCISR		; SCI Status Register
	xref.b	_SCIDR		; SCI Data Register
	xref.b	_SCIBRR		; SCI Baud Rate Register
	xref.b	_SCICR1		; SCI Control Register 1
	xref.b	_SCICR2		; SCI Control Register 2
	xref.b	_SCIERPR	; SCI Receive Prescaler
	xref.b	_SCIETPR	; SCI Transmit Prescaler

;	CAN section
;
	xref.b	_CANISR		; CAN Interrupt Status Register
	xref.b	_CANICR		; CAN Interrupt Control Register
	xref.b	_CANICSR	; CAN Control/Status Register
	xref.b	_CANIBRPR	; CAN Baud Rate Prescaler Register
	xref.b	_CANIBTR	; CAN Bit Timing Register
	xref.b	_CANIPSR	; CAN Page Selection Register

;	ADC section
; 
	xref.b	_ADCCSR		; ADC Control/Status Register 
	xref.b	_ADCDRH		; ADC Data Register High
	xref.b	_ADCDRL		; ADC Data Register Low

;	PWM section
;
	xref.b	_PWMDCR3	; PWM Duty Cycle Register 3 
	xref.b	_PWMDCR2	; PWM Duty Cycle Register 2 
	xref.b	_PWMDCR1	; PWM Duty Cycle Register 1 
	xref.b	_PWMDCR0	; PWM Duty Cycle Register 0 
	xref.b	_PWMCR		; PWM Control Register 
	xref.b	_ARTCSR		; ART Control/Status Register 
	xref.b	_ARTCAR		; ART Counter Access Register 
	xref.b	_ARTARR		; ART Auto Reload Register 
	xref.b	_ARTICCSR	; ART Input Capture Control/Status Register 
	xref.b	_ARTICR1	; ART Input Capture Register 1
	xref.b	_ARTICR2	; ART Input Capture Register 2
