/*  Sample INTERRUPT VECTORS TABLE FOR ST72521
    has to be located at 0xFFE0 in linker command file
*/

#define NULL 0

extern void _stext();       /* startup routine */
extern void OS_ISR_Tick();  /* embOS timer interrupt handler (RtosInit.c) */
extern void OS_ISR_SCI();   /* embOS SIO interrupt handler   (RtosInit.c) */

void (* const _vectab[])() = {
  OS_ISR_Tick, /* PWM/ART, used as embOS timer tick */
  NULL,        /* I2C interrupt                     */
  NULL,        /* AVD                               */
  OS_ISR_SCI,  /* SCI, used for embOSView           */
  NULL,        /* TIMER B */
  NULL,        /* TIMER A */
  NULL,        /* SPI     */
  NULL,        /* CAN     */
  NULL,        /* EINT3   */
  NULL,        /* EINT2   */
  NULL,        /* EINT1   */
  NULL,        /* EINT0   */
  NULL,        /* MCC/RTC */
  NULL,        /* TLI     */
  NULL,        /* TRAP    */
  _stext,      /* RESET   */
};


